com.microfocus.awm.meta.interfaces

## Enum EIntegratedTools

- java.lang.Object
- - java.lang.Enum<EIntegratedTools>
  - - com.microfocus.awm.meta.interfaces.EIntegratedTools

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EIntegratedTools>, org.eclipse.emf.common.util.Enumerator

      public enum EIntegratedTools
      extends java.lang.Enum<EIntegratedTools>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration class for the integrated tools. (deprecated)
  See Also:
    `TaurusPackage.getEIntegratedTools()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHILDREN_REFRESHER` The 'Children Refresher' literal object.
    `EDIT_CLEANUP` The 'Edit Cleanup' literal object.
    `EDIT_CLOSER` The 'Edit Closer' literal object.
    `EDIT_OPENER` The 'Edit Opener' literal object.
    `ERROR_FEEDBACK` The 'Error Feedback' literal object.
    `FILE_COMPARE` The 'File Compare' literal object.
    `FILE_UPLOADER` The 'File Uploader' literal object.
    `LINKED_FILE_CREATOR` The 'Linked File Creator' literal object.
    `LOCAL_FILE_CREATOR` The 'Local File Creator' literal object.
    `LOCAL_FILE_LOCATOR` The 'Local File Locator' literal object.
    `LOCAL_SYNTAX_CHECK` The 'Local Syntax Check' literal object.
    `LOCAL_TEMP_FILE_CREATOR` The 'Local Temp File Creator' literal object.
    `NONE` The 'NONE' literal object.
    `PROPERTY_SET_ASSOCIATOR` The 'Property Set Associator' literal object.
    `PROPERTY_SET_CREATOR` The 'Property Set Creator' literal object.
    `PROPERTY_SET_REMOVER` The 'Property Set Remover' literal object.
    `REFRESH_DEPENDENCIES` The 'Refresh Dependencies' literal object.
    `REMOTE_BROWSE` The 'Remote Browse' literal object.
    `REMOTE_EDIT` The 'Remote Edit' literal object.
    `SUBMIT_JCL` The 'Submit JCL' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHILDREN_REFRESHER_VALUE` The 'Children Refresher' literal value.
    `static int` | `EDIT_CLEANUP_VALUE` The 'Edit Cleanup' literal value.
    `static int` | `EDIT_CLOSER_VALUE` The 'Edit Closer' literal value.
    `static int` | `EDIT_OPENER_VALUE` The 'Edit Opener' literal value.
    `static int` | `ERROR_FEEDBACK_VALUE` The 'Error Feedback' literal value.
    `static int` | `FILE_COMPARE_VALUE` The 'File Compare' literal value.
    `static int` | `FILE_UPLOADER_VALUE` The 'File Uploader' literal value.
    `static int` | `LINKED_FILE_CREATOR_VALUE` The 'Linked File Creator' literal value.
    `static int` | `LOCAL_FILE_CREATOR_VALUE` The 'Local File Creator' literal value.
    `static int` | `LOCAL_FILE_LOCATOR_VALUE` The 'Local File Locator' literal value.
    `static int` | `LOCAL_SYNTAX_CHECK_VALUE` The 'Local Syntax Check' literal value.
    `static int` | `LOCAL_TEMP_FILE_CREATOR_VALUE` The 'Local Temp File Creator' literal value.
    `static int` | `NONE_VALUE` The 'NONE' literal value.
    `static int` | `PROPERTY_SET_ASSOCIATOR_VALUE` The 'Property Set Associator' literal value.
    `static int` | `PROPERTY_SET_CREATOR_VALUE` The 'Property Set Creator' literal value.
    `static int` | `PROPERTY_SET_REMOVER_VALUE` The 'Property Set Remover' literal value.
    `static int` | `REFRESH_DEPENDENCIES_VALUE` The 'Refresh Dependencies' literal value.
    `static int` | `REMOTE_BROWSE_VALUE` The 'Remote Browse' literal value.
    `static int` | `REMOTE_EDIT_VALUE` The 'Remote Edit' literal value.
    `static int` | `SUBMIT_JCL_VALUE` The 'Submit JCL' literal value.
    `static java.util.List<EIntegratedTools>` | `VALUES` A public read-only list of all the 'EIntegrated Tools' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EIntegratedTools` | `get(int value)` Returns the 'EIntegrated Tools' literal with the specified integer value.
    `static EIntegratedTools` | `get(java.lang.String literal)` Returns the 'EIntegrated Tools' literal with the specified literal value.
    `static EIntegratedTools` | `getByName(java.lang.String name)` Returns the 'EIntegrated Tools' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EIntegratedTools` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EIntegratedTools[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final EIntegratedTools NONE

      The 'NONE' literal object.
      See Also:
        `NONE_VALUE`

    - #### EDIT_CLEANUP

          public static final EIntegratedTools EDIT_CLEANUP

      The 'Edit Cleanup' literal object.
      See Also:
        `EDIT_CLEANUP_VALUE`

    - #### EDIT_CLOSER

          public static final EIntegratedTools EDIT_CLOSER

      The 'Edit Closer' literal object.
      See Also:
        `EDIT_CLOSER_VALUE`

    - #### EDIT_OPENER

          public static final EIntegratedTools EDIT_OPENER

      The 'Edit Opener' literal object.
      See Also:
        `EDIT_OPENER_VALUE`

    - #### CHILDREN_REFRESHER

          public static final EIntegratedTools CHILDREN_REFRESHER

      The 'Children Refresher' literal object.
      See Also:
        `CHILDREN_REFRESHER_VALUE`

    - #### ERROR_FEEDBACK

          public static final EIntegratedTools ERROR_FEEDBACK

      The 'Error Feedback' literal object.
      See Also:
        `ERROR_FEEDBACK_VALUE`

    - #### FILE_COMPARE

          public static final EIntegratedTools FILE_COMPARE

      The 'File Compare' literal object.
      See Also:
        `FILE_COMPARE_VALUE`

    - #### FILE_UPLOADER

          public static final EIntegratedTools FILE_UPLOADER

      The 'File Uploader' literal object.
      See Also:
        `FILE_UPLOADER_VALUE`

    - #### LINKED_FILE_CREATOR

          public static final EIntegratedTools LINKED_FILE_CREATOR

      The 'Linked File Creator' literal object.
      See Also:
        `LINKED_FILE_CREATOR_VALUE`

    - #### LOCAL_FILE_CREATOR

          public static final EIntegratedTools LOCAL_FILE_CREATOR

      The 'Local File Creator' literal object.
      See Also:
        `LOCAL_FILE_CREATOR_VALUE`

    - #### LOCAL_FILE_LOCATOR

          public static final EIntegratedTools LOCAL_FILE_LOCATOR

      The 'Local File Locator' literal object.
      See Also:
        `LOCAL_FILE_LOCATOR_VALUE`

    - #### LOCAL_TEMP_FILE_CREATOR

          public static final EIntegratedTools LOCAL_TEMP_FILE_CREATOR

      The 'Local Temp File Creator' literal object.
      See Also:
        `LOCAL_TEMP_FILE_CREATOR_VALUE`

    - #### LOCAL_SYNTAX_CHECK

          public static final EIntegratedTools LOCAL_SYNTAX_CHECK

      The 'Local Syntax Check' literal object.
      See Also:
        `LOCAL_SYNTAX_CHECK_VALUE`

    - #### PROPERTY_SET_ASSOCIATOR

          public static final EIntegratedTools PROPERTY_SET_ASSOCIATOR

      The 'Property Set Associator' literal object.
      See Also:
        `PROPERTY_SET_ASSOCIATOR_VALUE`

    - #### PROPERTY_SET_CREATOR

          public static final EIntegratedTools PROPERTY_SET_CREATOR

      The 'Property Set Creator' literal object.
      See Also:
        `PROPERTY_SET_CREATOR_VALUE`

    - #### PROPERTY_SET_REMOVER

          public static final EIntegratedTools PROPERTY_SET_REMOVER

      The 'Property Set Remover' literal object.
      See Also:
        `PROPERTY_SET_REMOVER_VALUE`

    - #### REFRESH_DEPENDENCIES

          public static final EIntegratedTools REFRESH_DEPENDENCIES

      The 'Refresh Dependencies' literal object.
      See Also:
        `REFRESH_DEPENDENCIES_VALUE`

    - #### REMOTE_BROWSE

          public static final EIntegratedTools REMOTE_BROWSE

      The 'Remote Browse' literal object.
      See Also:
        `REMOTE_BROWSE_VALUE`

    - #### REMOTE_EDIT

          public static final EIntegratedTools REMOTE_EDIT

      The 'Remote Edit' literal object.
      See Also:
        `REMOTE_EDIT_VALUE`

    - #### SUBMIT_JCL

          public static final EIntegratedTools SUBMIT_JCL

      The 'Submit JCL' literal object.
      See Also:
        `SUBMIT_JCL_VALUE`

  - ### Field Detail

    - #### NONE_VALUE

          public static final int NONE_VALUE

      The 'NONE' literal value.
      See Also:
        `NONE`, Constant Field Values

    - #### EDIT_CLEANUP_VALUE

          public static final int EDIT_CLEANUP_VALUE

      The 'Edit Cleanup' literal value.
      See Also:
        `EDIT_CLEANUP`, Constant Field Values

    - #### EDIT_CLOSER_VALUE

          public static final int EDIT_CLOSER_VALUE

      The 'Edit Closer' literal value.
      See Also:
        `EDIT_CLOSER`, Constant Field Values

    - #### EDIT_OPENER_VALUE

          public static final int EDIT_OPENER_VALUE

      The 'Edit Opener' literal value.
      See Also:
        `EDIT_OPENER`, Constant Field Values

    - #### CHILDREN_REFRESHER_VALUE

          public static final int CHILDREN_REFRESHER_VALUE

      The 'Children Refresher' literal value.
      See Also:
        `CHILDREN_REFRESHER`, Constant Field Values

    - #### ERROR_FEEDBACK_VALUE

          public static final int ERROR_FEEDBACK_VALUE

      The 'Error Feedback' literal value.
      See Also:
        `ERROR_FEEDBACK`, Constant Field Values

    - #### FILE_COMPARE_VALUE

          public static final int FILE_COMPARE_VALUE

      The 'File Compare' literal value.
      See Also:
        `FILE_COMPARE`, Constant Field Values

    - #### FILE_UPLOADER_VALUE

          public static final int FILE_UPLOADER_VALUE

      The 'File Uploader' literal value.
      See Also:
        `FILE_UPLOADER`, Constant Field Values

    - #### LINKED_FILE_CREATOR_VALUE

          public static final int LINKED_FILE_CREATOR_VALUE

      The 'Linked File Creator' literal value.
      See Also:
        `LINKED_FILE_CREATOR`, Constant Field Values

    - #### LOCAL_FILE_CREATOR_VALUE

          public static final int LOCAL_FILE_CREATOR_VALUE

      The 'Local File Creator' literal value.
      See Also:
        `LOCAL_FILE_CREATOR`, Constant Field Values

    - #### LOCAL_FILE_LOCATOR_VALUE

          public static final int LOCAL_FILE_LOCATOR_VALUE

      The 'Local File Locator' literal value.
      See Also:
        `LOCAL_FILE_LOCATOR`, Constant Field Values

    - #### LOCAL_TEMP_FILE_CREATOR_VALUE

          public static final int LOCAL_TEMP_FILE_CREATOR_VALUE

      The 'Local Temp File Creator' literal value.
      See Also:
        `LOCAL_TEMP_FILE_CREATOR`, Constant Field Values

    - #### LOCAL_SYNTAX_CHECK_VALUE

          public static final int LOCAL_SYNTAX_CHECK_VALUE

      The 'Local Syntax Check' literal value.
      See Also:
        `LOCAL_SYNTAX_CHECK`, Constant Field Values

    - #### PROPERTY_SET_ASSOCIATOR_VALUE

          public static final int PROPERTY_SET_ASSOCIATOR_VALUE

      The 'Property Set Associator' literal value.
      See Also:
        `PROPERTY_SET_ASSOCIATOR`, Constant Field Values

    - #### PROPERTY_SET_CREATOR_VALUE

          public static final int PROPERTY_SET_CREATOR_VALUE

      The 'Property Set Creator' literal value.
      See Also:
        `PROPERTY_SET_CREATOR`, Constant Field Values

    - #### PROPERTY_SET_REMOVER_VALUE

          public static final int PROPERTY_SET_REMOVER_VALUE

      The 'Property Set Remover' literal value.
      See Also:
        `PROPERTY_SET_REMOVER`, Constant Field Values

    - #### REFRESH_DEPENDENCIES_VALUE

          public static final int REFRESH_DEPENDENCIES_VALUE

      The 'Refresh Dependencies' literal value.
      See Also:
        `REFRESH_DEPENDENCIES`, Constant Field Values

    - #### REMOTE_BROWSE_VALUE

          public static final int REMOTE_BROWSE_VALUE

      The 'Remote Browse' literal value.
      See Also:
        `REMOTE_BROWSE`, Constant Field Values

    - #### REMOTE_EDIT_VALUE

          public static final int REMOTE_EDIT_VALUE

      The 'Remote Edit' literal value.
      See Also:
        `REMOTE_EDIT`, Constant Field Values

    - #### SUBMIT_JCL_VALUE

          public static final int SUBMIT_JCL_VALUE

      The 'Submit JCL' literal value.
      See Also:
        `SUBMIT_JCL`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EIntegratedTools> VALUES

      A public read-only list of all the 'EIntegrated Tools' enumerators.

  - ### Method Detail

    - #### values

          public static EIntegratedTools[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EIntegratedTools c : EIntegratedTools.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EIntegratedTools valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EIntegratedTools get(java.lang.String literal)

      Returns the 'EIntegrated Tools' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EIntegratedTools getByName(java.lang.String name)

      Returns the 'EIntegrated Tools' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EIntegratedTools get(int value)

      Returns the 'EIntegrated Tools' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EIntegratedTools>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.